using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System.ComponentModel;
namespace CustomCaption
{
    
    public delegate void CaptionPaintEventHandler(object sender, PaintEventArgs  arg);
    public delegate void MouseEventHandler(object sender,MouseEventArgs arg);
    public class CustomDockingManager:DockingManager
    {
       public event CaptionPaintEventHandler CaptionPaint;
        public event MouseEventHandler MouseEvent;
       public  CustomDockingManager(IContainer ic):base(ic)
        {

        }
        protected override DockHost CreateDockHost(Control ctrl)
        {
            return new CustomDockHost(this, ctrl);
            //DockHost dh = new CustomDockHost(this, ctrl);
           
        }

        protected internal void OnMouseEvent(MouseEventArgs   e)
        {
            if (MouseEvent != null)
            {
                MouseEvent(this, e);
            }
        }

        
        protected internal void OnCaptionPaint(PaintEventArgs cpe)
        {
            if (CaptionPaint != null)
            {
                CaptionPaint(this, cpe);
            }
        }
    }
}
